from mysql.connector import Error as mysqlError

from app.messages.api_responses import product_responses as response
import app.messages.api_errors as errors

from app.db import product_db

from app.models.product_model import Product


def product_info(product_id: int):
    try:
        product: Product = product_db.fetch_product_extended_by_id(product_id)

        if product is None:
            return response.UNKNOWN_PRODUCT

        return product, 200
    except mysqlError as e:
        return errors.UNKNOWN_DATABASE_ERROR(e)
